# common compiler and link switch definitions for ocl samples

ICC_COMPILE = /Tdp /Q /Fi /Si /O /Gm /G5 /C
ICC_LINK = /Tdp /Q /Fi /Si /O /Gm /G5 /B" /f /do /nologo /pmtype:pm /align:4 /exepack"
ICC_COMPILE_DEBUG = /Tdp /Q /Fi /Si /Ti /Gm /G5 /C
ICC_LINK_DEBUG = /Tdp /Q /Fi /Si /Ti /Gm /G5 /B" /de /f /do /nologo /pmtype:pm /align:4 /exepack"

ICC_COMPILE_DLL = /Ge- $(ICC_COMPILE)
ICC_LINK_DLL = /Ge- $(ICC_LINK)
ICC_COMPILE_DLL_DEBUG = /Ge- $(ICC_COMPILE_DEBUG)
ICC_LINK_DLL_DEBUG = /Ge- $(ICC_LINK_DEBUG)

WATCOM_COMPILE = /otex /bm /zq /zld /zp4 /5r /mf /xs /bt=os2
WATCOM_LINK = SYS os2v2 pm op m op q op c op maxe=25 op st=65536
WATCOM_COMPILE_DEBUG = /d2 /otex /bm /zq /zld /zp4 /5r /mf /xs /bt=os2
WATCOM_LINK_DEBUG = SYS os2v2 pm d all op q op m op c op symf op maxe=25 op st=65536

WATCOM_COMPILE_DLL = /d__BUILD_OCL_DLL__ /bd $(WATCOM_COMPILE)
WATCOM_LINK_DLL = SYS os2v2 dll op m op q op c op maxe=25 op st=65536
WATCOM_COMPILE_DLL_DEBUG = /d__BUILD_OCL_DLL__ /bd $(WATCOM_COMPLE_DEBUG)
WATCOM_LINK_DLL_DEBUG = SYS os2v2 dll d all op q op m op c op symf op maxe=25 op st=65536

BORLAND_COMPILE = /L$(LIB) /I$(INCLUDE) /O /Vmv /sm /Jgd /4 /X -w-par /c
BORLAND_LINK = /L$(LIB) /aa /c /Toe C02
BORLAND_COMPILE_DEBUG = /v $(BORLAND_COMPILE)
BORLAND_LINK_DEBUG = /v $(BORLAND_LINK)

BORLAND_COMPILE_DLL = /D__BUILD_OCL_DLL__ /sd $(BORLAND_COMPILE)
BORLAND_LINK_DLL = /L$(LIB) /aa /w-stk /c /Tod C02D
BORLAND_COMPILE_DLL_DEBUG = /v $(BORLAND_COMPILE_DLL)
BORLAND_LINK_DLL_DEBUG = /v $(BORLAND_LINK_DLL)

# end of source
