// OCL Sample 

// Editor.hpp

#define OINCL_OSTRING
#define OINCL_OAPP
#define OINCL_OFRAME
#define OINCL_OEDITOR
#define OINCL_OPMEXCEPTION
#define OINCL_OMSGS

#include <ocl.hpp>


#include "..\Source\Editor.h"

typedef class Editor *pEditor;

class Editor : public OApp, public OFrame
{
 public:
   OEditor    *textfield; 

   Editor()
     : OFrame(EDITOR_MAIN) {}

   ~Editor() 
    {
     if (textfield) delete textfield; 
    }

   BOOL TasklistKill()
    {
     OMsgs msg;
     return(!msg.ask("Tasklist Kill", "Do you really want to quit?"));
    }

   BOOL OCommand(ULONG msg, MPARAM mp1, MPARAM mp2);
};



// end of source
