// OCL Sample 
// Procstat.hpp

#define OINCL_OSTRING
#define OINCL_OAPP
#define OINCL_OFRAME
#define OINCL_OCONTAINER
#define OINCL_OPMEXCEPTION
#define OINCL_OPROCSTAT

#include <ocl.hpp>


#include "..\Source\procstat.h"


class PContainer
  : public OContainer<MINIRECORDCORE, MINIRECORDCORE>,
    public OProcStat
{
 private:
   HPOINTER hptr;

 public:
   PContainer(pOFrame Parent)
     : OContainer<MINIRECORDCORE, 
                  MINIRECORDCORE>(Parent, PROCSTAT_CNR,
                                  CCS_AUTOPOSITION | CCS_MINIRECORDCORE,
                                  CV_TREE | CA_TREELINE | CV_TEXT),
       hptr(WinLoadPointer(HWND_DESKTOP, NULLHANDLE, PROCSTAT_MAIN))
    {
     cnri.cyLineSpacing = 0;
     cnri.cxTreeIndent = 15;
    }

   virtual ~PContainer() {
      freeContainer(); }

   BOOL setupDetails() {
      return(TRUE);}
   BOOL setupItems();
   BOOL insertChilds(PMINIRECORDCORE parentRecord, ULONG ulParent);
};




typedef class Procstat *pProcstat;

class Procstat 
  : public OApp, 
    public OFrame
{
 private:
   PContainer *cnr;

 public:

   Procstat()
     : OFrame(PROCSTAT_MAIN) {}

   ~Procstat() {
      if (cnr) delete cnr; }

   void init();
   BOOL OCommand(ULONG msg, MPARAM mp1, MPARAM mp2);
};


// end of source
